# 官方文档
# https://gethomepage.dev
# https://github.com/gethomepage/homepage
# 部署教程
# https://www.himiku.com/archives/homepage.html
# https://diyforfun.cn/889.html

---
version: "3"
# 最后编辑时间：2024-07-11
services:
  homepage:
    image: ghcr.io/gethomepage/homepage:latest
    # 镜像地址
    container_name: homepage
    # 容器名字
    hostname: homepage
    # 主机名
    environment:
      - PORT=3000
      # 自定义容器端口，默认为3000
      - PUID=1000
      - PGID=100
      # 用户和用户组权限，ssh中使用“id 用户名”查看，用户组一般为100(users)
      # 第一个用户而言，群晖为1026，新绿联为1001，linux类系统为1000，后续用户均+1
    volumes:
      - /volume1/docker/homepage:/app/config
      # 配置文件目录
      - /var/run/docker.sock:/var/run/docker.sock:ro
      # 使能支持docker容器的监控
    # network_mode: bridge
    network_mode: host
    # host模式需要容器内的端口不被占用，不需要端口映射，后续端口映射全都开头加#注释掉，否则注释掉这条
    # ports:
      # - 3000:3000/tcp
      # WebUI 端口
    restart: unless-stopped
    # 重启策略，可根据实际情况而选择 no/always/unless-stopped/on-failure/on-failure:3
